Name:          vrms-rpm
Summary:       Report non-free software
License:       GPL-3.0-only

Version:       2.3
Release:    1%{?dist}

BuildRequires: gcc
BuildRequires: gettext-devel
BuildRequires: libcmocka-devel
BuildRequires: make
BuildRequires: rpm-devel

%global git_tag release-%{version}
URL:           https://github.com/suve/%{name}
Source0:       %{url}/archive/%{git_tag}/%{name}-%{git_tag}.tar.gz

%description
vrms-rpm ("virtual Richard M. Stallman") reports non-free packages
installed on the system.

%prep
%autosetup -n %{name}-%{git_tag}

%build
make all PREFIX=%{_prefix} %{?_smp_mflags} \
	DEFAULT_GRAMMAR=spdx-lenient \
	DEFAULT_LICENCE_LIST=tweaked

%check
make test %{?_smp_mflags}

%install
%make_install PREFIX=%{_prefix}
%find_lang %{name} --with-man

%files -f %{name}.lang
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%{_datadir}/suve/
%{_datadir}/bash-completion/completions/%{name}
%license LICENCE.txt IMAGE-CREDITS.txt

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3-1
- initial build
